import {
	myRequest
} from '../request.js'
export default {
	polyvSign(data) {
		return myRequest({
			url: '/polyv/video/sign/auth',
			method: 'get',
			data: data
		})
	},
	recordLast(data) {
		return myRequest({
			url: '/study/record/last',
			method: 'get',
			data: data
		})
	},
	menuExamList(data) {
		return myRequest({
			url: '/course/menu/exam/list',
			method: 'get',
			data: data
		})
	},
	reSectionList(data) {
		return myRequest({
			url: '/course/sectionList',
			method: 'get',
			data: data
		})
	},
	reChapterList(data) {
		return myRequest({
			url: '/course/chapterList',
			method: 'get',
			data: data
		})
	},
	appBeforeAddress(data) {
		return myRequest({
			url: '/app/before/address',
			method: 'get',
			data: data
		})
	},
	
	

	reMenuList(data) {
		return myRequest({
			url: '/course/menuList',
			method: 'get',
			data: data
		})
	},
	menuList(data) {
		return myRequest({
			url: '/app/common/course/menuList',
			method: 'get',
			data: data,
			noToken: true
		})
	},
	chapterList(data) {
		return myRequest({
			url: '/app/common/course/chapterList/'+data,
			method: 'get',
			data: data,
			noToken: true
		})
	},
	sectionList(data) {
		return myRequest({
			url: '/app/common/course/sectionList/'+data,
			method: 'get',
			data: data,
			noToken: true
		})
	},
	courseGoodsList(data) {
		return myRequest({
			url: '/course/goodsList',
			method: 'get',
			data: data
		})
	},
	courseCourseList(data) {
		return myRequest({
			url: '/course/courseList',
			method: 'get',
			data: data
		})
	},
	courseDetail(data) {
		return myRequest({
			url: '/course/'+data,
			method: 'get'
		})
	},
	courseBusiness(data) {
		return myRequest({
			url: '/app/common/course/business/'+data,
			method: 'get',
			noToken:true
		})
	},
	
	courseHandouts(data) {
		return myRequest({
			url: '/course/handouts/'+data,
			method: 'get'
		})
	},
	
	courseGoodsRebuildStatus(data) {
		return myRequest({
			url: '/course/goodsRebuildStatus',
			method: 'get',
			data:data
		})
	},
	faceCertificationIDCardOCR(data) {
		return myRequest({
			url: '/face/certification/IDCardOCR',
			method: 'post',
			data:data
		})
	},
	
	facCertificationImageRecognition(data) {
		return myRequest({
			url: '/face/certification/ImageRecognition',
			method: 'post',
			data:data
		})
	},
	
	faceCertificationIdCardCompareFace(data) {
			return myRequest({
				url: '/face/certification/idCardCompareFace',
				method: 'post',
				data:data
			})
		},
	
	faceCertificationCompareFace(data) {
		return myRequest({
			url: '/face/certification/CompareFace',
			method: 'post',
			data:data
		})
	},
	
	gradeCheckGoodsStudy(data) {
		return myRequest({
			url: '/grade/grade/checkGoodsStudy',
			method: 'get',
			data:data
		})
	},
	
	polyvLiveHistoryChatMsgList(data) {
		return myRequest({
			url: '/polyv/live/historyChatMsgList',
			method: 'get',
			data:data
		})
	},
	studyRecordQueryLiveLast(data) {
		return myRequest({
			url: '/study/record/queryLiveLast',
			method: 'get',
			data:data
		})
	},
	
	courseMajorList (data) {
		return myRequest({
			url: '/course/major/list',
			method: 'get',
			data:data
		})
	},
	
}
